/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  IJoinModule,
  IJoinModuleInterface,
} from "../../../contracts/interfaces/IJoinModule";

const _abi = [
  {
    inputs: [
      {
        internalType: "uint256",
        name: "communityId",
        type: "uint256",
      },
      {
        internalType: "bytes",
        name: "data",
        type: "bytes",
      },
    ],
    name: "initializeCommunityJoinModule",
    outputs: [],
    stateMutability: "nonpayable",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "address",
        name: "joiner",
        type: "address",
      },
      {
        internalType: "uint256",
        name: "community",
        type: "uint256",
      },
      {
        internalType: "bytes",
        name: "data",
        type: "bytes",
      },
    ],
    name: "processJoin",
    outputs: [],
    stateMutability: "payable",
    type: "function",
  },
] as const;

export class IJoinModule__factory {
  static readonly abi = _abi;
  static createInterface(): IJoinModuleInterface {
    return new utils.Interface(_abi) as IJoinModuleInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): IJoinModule {
    return new Contract(address, _abi, signerOrProvider) as IJoinModule;
  }
}
